agent evidence
Create an agent evidence replay run
Requires scopes: traces:write
POST
/
api
/
agent-evidence
/
replay
Create an agent evidence replay run
curl --request POST \
--url https://evalgate.com/api/agent-evidence/replay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetType": "<string>",
"targetId": "<string>",
"replayKey": "<string>",
"aiSystemId": 123,
"traceId": 123,
"spanId": 123,
"policyDecisionId": 123,
"context": {},
"runtimeId": 123,
"connectorId": 123,
"runtimeVersionId": 123,
"connectorManifestSnapshotId": 123,
"toolInvocationEvidenceId": 123
}
'import requests
url = "https://evalgate.com/api/agent-evidence/replay"
payload = {
"targetType": "<string>",
"targetId": "<string>",
"replayKey": "<string>",
"aiSystemId": 123,
"traceId": 123,
"spanId": 123,
"policyDecisionId": 123,
"context": {},
"runtimeId": 123,
"connectorId": 123,
"runtimeVersionId": 123,
"connectorManifestSnapshotId": 123,
"toolInvocationEvidenceId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetType: '<string>',
targetId: '<string>',
replayKey: '<string>',
aiSystemId: 123,
traceId: 123,
spanId: 123,
policyDecisionId: 123,
context: {},
runtimeId: 123,
connectorId: 123,
runtimeVersionId: 123,
connectorManifestSnapshotId: 123,
toolInvocationEvidenceId: 123
})
};
fetch('https://evalgate.com/api/agent-evidence/replay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"metadata": {
"schemaVersion": 123
},
"aiSystemId": 123,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"traceId": 123,
"spanId": 123,
"inputHash": "<string>",
"result": {
"schemaVersion": 123,
"reproduced": false,
"differences": [
{
"field": "<string>",
"original": true,
"replayed": true
}
]
},
"policyDecisionId": 123,
"context": {
"schemaVersion": 123,
"originalTraceId": 123,
"originalRunId": "<string>",
"inputSnapshot": {}
},
"evidenceItemIds": [
123
],
"targetType": "<string>",
"runtimeId": 123,
"connectorId": 123,
"runtimeVersionId": 123,
"connectorManifestSnapshotId": 123,
"toolInvocationEvidenceId": 123,
"targetId": "<string>",
"replayKey": "<string>",
"reproducible": true
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create an agent evidence replay run
